//
//  Copyright (c) 2005, Scott R. Turner
//  Released under the GPL license
//  http://www.gnu.org/copyleft/gpl.html
//
//  Thu May 05 18:10:22 2005 -- Scott R. Turner
//
//  Code for implementing the URL regexp replacer.  Main code here
//  is to implement the "Try it out" button.
//

//
//  Pull the match & replace and execute them on the Initial URL
//  box, and then stick the result in the Resulting URL box.
//
function try_it() {
   var match = window.document.getElementById("match").value;
   var match_re;
   var replace = window.document.getElementById("replace").value;
   var initial_url = window.document.getElementById("initial_url").value;
   var global = window.document.getElementById("global").checked;
   var insensitive = window.document.getElementById("insensitive").checked;
   var mod_string = "";
   var result_url;

   if (global) {
       mod_string += "g";
   };
   if (insensitive) {
       mod_string += "i";
   };
   match_re = new RegExp(match, mod_string);
   result_url = initial_url.replace(match_re, replace);
   window.document.getElementById("result_url").value = result_url;
};

function reset() {
   window.document.getElementById("match").value = null;
   window.document.getElementById("replace").value = null;
   window.document.getElementById("initial_url").value =
       self.opener._content.document.focus.href;
   window.document.getElementById("global").checked = false;
   window.document.getElementById("insensitive").checked = false;
   window.document.getElementById("replace-all").checked = false;
};

function do_modify_url() {
   var match = window.document.getElementById("match").value;
   var match_re;
   var replace = window.document.getElementById("replace").value;
   var global = window.document.getElementById("global").checked;
   var insensitive = window.document.getElementById("insensitive").checked;
   var mod_string = "";
   var apply_all = window.document.getElementById("apply_all").checked;

   if (global) {
       mod_string += "g";
   };
   if (insensitive) {
       mod_string += "i";
   };
   match_re = new RegExp(match, mod_string);
   self.opener.do_modify_url(self.opener._content.document,
			     self.opener._content.document.focus,
			     match_re, replace, apply_all);
};
			     
//
//  Help
//
function help() {
    window.open("chrome://platypus/content/help-regexp.htm", 
		"Help With Regular Expressions",
		"resizable,centerscreen");
};
